Page MenuHomePhabricator

Sort out fr-tech work phone situation
Closed, DeclinedPublic

Description

I was going to add fr-tech paging for failmail but Jeff advised we shouldn't page personal phones. However I've never had a work phone and only get paged on my personal one. Not sure what the status is for the rest of the team. But we should get it figured out!

Event Timeline

DStrine moved this task from Triage to FR-Ops on the Fundraising-Backlog board.Oct 22 2018, 7:31 PM
cwdent removed cwdent as the assignee of this task.Nov 1 2018, 1:49 PM

@Jgreen points out is is mostly ops/SRE who gets paged. I wonder if devs on other teams get paged about anything? If not I'll abandon this idea. Not trying to set a new precedent.

Dzahn added a comment.Dec 19 2018, 7:24 PM

So... first the technical part: the "notification method" is configured with each individual contact. If a specific user wants to use "notify-by-sms" and not just "by-email" that is up to them, just like the timezones they do want to be notified in, which events they want notifications for etc.

Then the practical part: In production we have a parameter for monitoring::service called "critical" . If that is set to "true" that means "paging is enabled". But that can be very misleading, because what it actually means is "add this special contact group of people to it" (which we call "sms" but that's another misnomer) and that group has contacts in it and they all happen to use "notify-by-sms" as one of their notification methods.

Dzahn added a comment.Dec 19 2018, 7:28 PM

So i would say this can be seen completely unrelated from "SRE or not" and even from specific services. You can change any contact (user) to paging if you want to, that can be one member of your contact group or all of them., doesn't matter.

There is only one additional question: Does the user who wants to be paged have a phone provider that offers an mail2SMS gateway. (for example T-Mobile and Verizon in US do), then it's super easy to add and costs us nothing. If they don't.. then they might want to request to use the mail2SMS service we also use in SRE.. but we pay actual money for that afaict.. so that part, but that part only, might be a budget question between teams, not sure.

Dzahn added a comment.Dec 19 2018, 7:32 PM

Oh and final comment about the personal vs. work phone thing. There is such a thing as work phones if you get pages and if you want to.You would request those from OIT though. (Zendesk) I did have one years ago but then gave it back because i didn't want to deal with carrying 2 phones anymore and because if you use the work phone for anything private you then have to go through the bill details with WMF.

Jgreen closed this task as Declined.Jul 9 2020, 3:45 PM